package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.course.domain.Context;
import com.ruoyi.system.domain.SysTeacher;
import com.ruoyi.system.domain.vo.ReqSearchStaff;
import com.ruoyi.system.domain.vo.RespTeacherInfo;
import com.ruoyi.system.mapper.SysTeacherMapper;
import com.ruoyi.system.service.SysTeacherService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 教师信息 服务实现类
 * </p>
 *
 *
 * @since 2020-03-17 11:27:37
 */
@Service
public class SysTeacherServiceImpl extends ServiceImpl<SysTeacherMapper, SysTeacher> implements SysTeacherService {

    @Override
    public List<SysTeacher> getList(Long visitStore){
        List<SysTeacher> list = baseMapper.findList(visitStore);
        return list;
    }

    @Override
    public SysTeacher getByUserId(String userId){
        SysTeacher context = baseMapper.getOne(userId);
        return context;
    }

}
